// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	auth "gitlab.com/gitlab-org/incubation-engineering/apm/apm/internal/auth"

	mock "github.com/stretchr/testify/mock"
)

// Auth is an autogenerated mock type for the Auth type
type Auth struct {
	mock.Mock
}

// Verify provides a mock function with given fields: key
func (_m *Auth) Verify(key auth.APIKey) (*auth.Session, error) {
	ret := _m.Called(key)

	var r0 *auth.Session
	if rf, ok := ret.Get(0).(func(auth.APIKey) *auth.Session); ok {
		r0 = rf(key)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*auth.Session)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(auth.APIKey) error); ok {
		r1 = rf(key)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
